Reflection mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 System.Enum System.Flags System.Runtime.InteropServices.ComVisible(true)

FieldAttributes uses the value from FieldAccessMask to mask off only the parts of the attribute value that pertain to the accessibility. For example, the following code determines if Attributes has the public bit set.

code reference: System.Reflection.FieldAttributes#1

To get the FieldAttributes, first get the class Type. From the Type, get the FieldInfo. From the FieldInfo, get the Attributes.

The enumerated value is a number representing the bitwise OR of the attributes implemented on the field.

Specifies flags that describe the attributes of a field.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.FieldAttributes Assembly To be added.

  Specifies that the field is accessible throughout the assembly.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.FieldAttributes FamANDAssem To be added.

  Specifies that the field is accessible only by subtypes in this assembly.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.FieldAttributes Family To be added.

  Specifies that the field is accessible only by type and subtypes.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.FieldAttributes FamORAssem To be added.

  Specifies that the field is accessible by subtypes anywhere, as well as throughout this assembly.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.FieldAttributes FieldAccessMask To be added.

  Specifies the access level of a given field.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.FieldAttributes HasDefault To be added.

  Specifies that the field has a default value.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.FieldAttributes HasFieldMarshal To be added.

  Specifies that the field has marshaling information.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.FieldAttributes HasFieldRVA To be added.

  Specifies that the field has a relative virtual address (RVA). The RVA is the location of the method body in the current image, as an address relative to the start of the image file in which it is located.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.FieldAttributes InitOnly To be added.

  Specifies that the field is initialized only, and can be set only in the body of a constructor.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.FieldAttributes Literal To be added.

  Specifies that the field's value is a compile-time (static or early bound) constant. Any attempt to set it throws a .

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.FieldAttributes NotSerialized To be added.

  Specifies that the field does not have to be serialized when the type is remoted.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.FieldAttributes PinvokeImpl To be added.

  Reserved for future use.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.FieldAttributes Private To be added.

  Specifies that the field is accessible only by the parent type.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.FieldAttributes PrivateScope To be added.

  Specifies that the field cannot be referenced.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.FieldAttributes Public To be added.

  Specifies that the field is accessible by any member for whom this scope is visible.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.FieldAttributes ReservedMask To be added.

  Reserved.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.FieldAttributes RTSpecialName To be added.

  Specifies that the common language runtime (metadata internal APIs) should check the name encoding.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.FieldAttributes SpecialName To be added.

  Specifies a special method, with the name describing how the method is special.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.FieldAttributes Static To be added.

  Specifies that the field represents the defined type, or else it is per-instance.

  0
0